﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Functions;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 막대 시리즈
        /// </summary>
        private Bar bar;

        /// <summary>
        /// 성능 함수
        /// </summary>
        private Performance performance;

        /// <summary>
        /// 라인 시리즈
        /// </summary>
        private Line line;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            #region 막대 시리즈를 생성한다.

            this.bar = new Bar();

            this.bar.Title       = "bar";
            this.bar.Brush.Color = Color.FromArgb(68, 102, 163);
            this.bar.Color       = Color.FromArgb(68, 102, 163);

            #endregion
            #region 성능 함수를 생성한다.

            this.performance = new Performance();

            this.performance.Period = 1d;

            #endregion
            #region 라인 시리즈를 생성한다.

            this.line = new Line();

            this.line.Title               = "Performance";
            this.line.Brush.Color         = Color.FromArgb(243, 156, 53);
            this.line.Color               = Color.FromArgb(243, 156, 53);
            this.line.DataSource          = this.bar;
            this.line.Function            = this.performance;
            this.line.Pointer.Brush.Color = Color.FromArgb(254, 255, 0, 0);
            this.line.Pointer.Visible     = true;

            #endregion
            #region 티차트를 설정한다.

            this.tChart.Series.Add(this.bar);
            this.tChart.Series.Add(this.line);

            #endregion

            this.bar.FillSampleValues();
        }

        #endregion
    }
}